#version 410 core

out vec4 color;
in vec2 uv;

uniform sampler2D image;
uniform bool horizontal;

void main()
{
	//int amount = 3; 
	//float weights[3] = float[](0.227, 0.194, 0.051);
	int amount = 5; 
	float weights[5] = float[](0.227, 0.194, 0.121, 0.054, 0.016);

	vec2 tex_offset = 1.0f / textureSize(image, 0);
	vec3 result = texture(image, uv).rgb * weights[0];

	float use_offset;
	if (horizontal) {
		for (int i = 1; i < amount; i++) {
			result += texture(image, uv + vec2(tex_offset.x * i, 0.0)).rgb * weights[i];
			result += texture(image, uv - vec2(tex_offset.x * i, 0.0)).rgb * weights[i];
		}
	}
	else{
		for (int i = 1; i < amount; i++) {
			result += texture(image, uv + vec2(0.0, tex_offset.y * i)).rgb * weights[i];
			result += texture(image, uv - vec2(0.0, tex_offset.y * i)).rgb * weights[i];
		}
	}

	color = vec4(result, 1.0);
}