#version 410 core

in vec3 position;
in vec3 normal;
in vec2 uv;

out vec3 worldNormal;
out vec2 texCoord;
out vec3 worldPos;
out vec4 posLightSpace;


uniform mat4 model;
uniform mat4 view_project;
uniform mat4 light_view_project;

void main() {
	
	gl_Position = view_project * model * vec4(position, 1.0);
	worldNormal = (model * vec4(normal, 0.0)).xyz;
	texCoord = uv;
	worldPos = vec3(model * vec4(position, 1));
	
	posLightSpace = light_view_project * vec4(worldPos, 1.0);
	posLightSpace = vec4(posLightSpace.xyz*0.5+0.5, 1.0);

}