#version 410 core

out vec4 color;
in vec2 uv;

uniform sampler2D scene;
uniform sampler2D bloom;
uniform sampler2D flare;
uniform bool useLensflare;

void main() {
	vec3 scenecolor = texture(scene, uv).rgb;
	vec3 bloomcolor = texture(bloom, uv).rgb;
	vec3 flarecolor = texture(flare, uv).rgb * vec3(0.7, 0.5, 0.5);
	
	if (useLensflare) {
		color = vec4((scenecolor + bloomcolor + flarecolor).rgb, 1.0f);
	}
	else {
		color = vec4((scenecolor + bloomcolor).rgb, 1.0f);
	}
}